List All Agents Linked to a Specific Product
curl --request GET \
--url https://api.trata.ai/v1/products/{product_id}/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trata.ai/v1/products/{product_id}/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trata.ai/v1/products/{product_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"mission": {
"greeting": "Hello! Thank you for taking the time to speak with me today.",
"prompt": "Check Trata AI docs on the specifics of prompting.",
"objective": "This is a more easier version where the user dont have to given the entire prompt but just share the objective of the call and rest will be handled by Trata.",
"sequence": [
{
"stageName": "Introduction",
"description": "This stage involves introducing the AI agent to the user and explaining the purpose of the call.",
"otherNotes": "Ensure the user understands the privacy policy."
}
],
"farewell": "<string>"
},
"role": "<string>",
"roleDescription": "<string>",
"transcriber": {
"providerName": "<string>",
"transcriberModel": "<string>",
"providerProps": {}
},
"intelligenceProvider": {
"providerName": "<string>",
"model": "<string>",
"providerProps": {}
},
"voice": {
"languageAccent": {},
"modelId": "<string>"
},
"status": "<string>",
"timezone": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Products
List All Agents Linked to a Specific Product
List All Agents Linked to a Specific Product
GET
/
v1
/
products
/
{product_id}
/
agents
List All Agents Linked to a Specific Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the product
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
